const de = "ui-image", I = (
  /* ui-image */
  { allRenderFn: !0, appendChildSlotFix: !1, asyncLoading: !0, asyncQueue: !1, attachStyles: !0, cloneNodeFix: !1, cmpDidLoad: !0, cmpDidRender: !1, cmpDidUnload: !1, cmpDidUpdate: !1, cmpShouldUpdate: !1, cmpWillLoad: !1, cmpWillRender: !1, cmpWillUpdate: !1, connectedCallback: !1, constructableCSS: !0, cssAnnotations: !0, devTools: !1, disconnectedCallback: !1, element: !1, event: !1, experimentalScopedSlotChanges: !1, experimentalSlotFixes: !1, formAssociated: !1, hasRenderFn: !0, hostListener: !1, hostListenerTarget: !1, hostListenerTargetBody: !1, hostListenerTargetDocument: !1, hostListenerTargetParent: !1, hostListenerTargetWindow: !1, hotModuleReplacement: !1, hydrateClientSide: !1, hydrateServerSide: !1, hydratedAttribute: !1, hydratedClass: !0, hydratedSelectorName: "hydrated", initializeNextTick: !1, invisiblePrehydration: !0, isDebug: !1, isDev: !1, isTesting: !1, lazyLoad: !0, lifecycle: !0, lifecycleDOMEvents: !1, member: !0, method: !1, mode: !1, observeAttribute: !0, profile: !1, prop: !0, propBoolean: !0, propMutable: !1, propNumber: !0, propString: !0, reflect: !1, scoped: !1, scopedSlotTextContentFix: !1, scriptDataOpts: !1, shadowDelegatesFocus: !1, shadowDom: !1, slot: !1, slotChildNodesFix: !1, slotRelocation: !1, state: !0, style: !0, svg: !1, taskQueue: !0, transformTagName: !1, updatable: !0, vdomAttribute: !0, vdomClass: !0, vdomFunctional: !1, vdomKey: !0, vdomListener: !0, vdomPropOrAttr: !0, vdomRef: !0, vdomRender: !0, vdomStyle: !0, vdomText: !0, vdomXlink: !1, watchCallback: !0 }
);
var pe = Object.defineProperty, ve = (e, t) => {
  for (var n in t)
    pe(e, n, { get: t[n], enumerable: !0 });
}, B = /* @__PURE__ */ new WeakMap(), E = (e) => B.get(e), tt = (e, t) => B.set(t.$lazyInstance$ = e, t), he = (e, t) => {
  const n = {
    $flags$: 0,
    $hostElement$: e,
    $cmpMeta$: t,
    $instanceValues$: /* @__PURE__ */ new Map()
  };
  return n.$onReadyPromise$ = new Promise((s) => n.$onReadyResolve$ = s), e["s-p"] = [], e["s-rc"] = [], B.set(e, n);
}, q = (e, t) => t in e, k = (e, t) => (0, console.error)(e, t), O = /* @__PURE__ */ new Map(), ge = (e, t, n) => {
  const s = e.$tagName$.replace(/-/g, "_"), r = e.$lazyBundleId$;
  if (!r)
    return;
  const a = O.get(r);
  if (a)
    return a[s];
  {
    const l = (o) => (O.set(r, o), o[s]);
    switch (r) {
      case "ui-image_2":
        return import(
          /* webpackMode: "lazy" */
          "./ui-image_2-Dh5Eqdlm.js"
        ).then(l, k);
    }
  }
  return import(
    /* @vite-ignore */
    /* webpackInclude: /\.entry\.js$/ */
    /* webpackExclude: /\.system\.entry\.js$/ */
    /* webpackMode: "lazy" */
    `./${r}.entry.js`
  ).then((l) => (O.set(r, l), l[s]), k);
}, L = /* @__PURE__ */ new Map(), ye = "{visibility:hidden}.hydrated{visibility:inherit}", J = "slot-fb{display:contents}slot-fb[hidden]{display:none}", w = typeof window < "u" ? window : {}, m = w.document || { head: {} }, h = {
  $flags$: 0,
  $resourcesUrl$: "",
  jmp: (e) => e(),
  raf: (e) => requestAnimationFrame(e),
  ael: (e, t, n, s) => e.addEventListener(t, n, s),
  rel: (e, t, n, s) => e.removeEventListener(t, n, s),
  ce: (e, t) => new CustomEvent(e, t)
}, me = I.shadowDom, Se = (e) => Promise.resolve(e), Ee = /* @__PURE__ */ (() => {
  try {
    return new CSSStyleSheet(), typeof new CSSStyleSheet().replaceSync == "function";
  } catch {
  }
  return !1;
})(), C = !1, W = [], K = [], ke = (e, t) => (n) => {
  e.push(n), C || (C = !0, h.$flags$ & 4 ? F(j) : h.raf(j));
}, M = (e) => {
  for (let t = 0; t < e.length; t++)
    try {
      e[t](performance.now());
    } catch (n) {
      k(n);
    }
  e.length = 0;
}, j = () => {
  M(W), M(K), (C = W.length > 0) && h.raf(j);
}, F = (e) => Se().then(e), be = /* @__PURE__ */ ke(K), R = {}, H = (e) => (e = typeof e, e === "object" || e === "function");
function Z(e) {
  var t, n, s;
  return (s = (n = (t = e.head) == null ? void 0 : t.querySelector('meta[name="csp-nonce"]')) == null ? void 0 : n.getAttribute("content")) != null ? s : void 0;
}
var xe = {};
ve(xe, {
  err: () => N,
  map: () => Te,
  ok: () => U,
  unwrap: () => Pe,
  unwrapErr: () => Le
});
var U = (e) => ({
  isOk: !0,
  isErr: !1,
  value: e
}), N = (e) => ({
  isOk: !1,
  isErr: !0,
  value: e
});
function Te(e, t) {
  if (e.isOk) {
    const n = t(e.value);
    return n instanceof Promise ? n.then((s) => U(s)) : U(n);
  }
  if (e.isErr) {
    const n = e.value;
    return N(n);
  }
  throw "should never get here";
}
var Pe = (e) => {
  if (e.isOk)
    return e.value;
  throw e.value;
}, Le = (e) => {
  if (e.isErr)
    return e.value;
  throw e.value;
}, S = (e, t = "") => () => {
}, Ae = (e, t) => () => {
}, we = (e, t, ...n) => {
  let s = null, r = null, a = !1, l = !1;
  const o = [], i = ($) => {
    for (let f = 0; f < $.length; f++)
      s = $[f], Array.isArray(s) ? i(s) : s != null && typeof s != "boolean" && ((a = typeof e != "function" && !H(s)) && (s = String(s)), a && l ? o[o.length - 1].$text$ += s : o.push(a ? D(null, s) : s), l = a);
  };
  if (i(n), t) {
    t.key && (r = t.key);
    {
      const $ = t.className || t.class;
      $ && (t.class = typeof $ != "object" ? $ : Object.keys($).filter((f) => $[f]).join(" "));
    }
  }
  const c = D(e, null);
  return c.$attrs$ = t, o.length > 0 && (c.$children$ = o), c.$key$ = r, c;
}, D = (e, t) => {
  const n = {
    $flags$: 0,
    $tag$: e,
    $text$: t,
    $elm$: null,
    $children$: null
  };
  return n.$attrs$ = null, n.$key$ = null, n;
}, _e = {}, Oe = (e) => e && e.$tag$ === _e, Ce = (e, t) => e != null && !H(e) ? t & 4 ? e === "false" ? !1 : e === "" || !!e : t & 2 ? parseFloat(e) : t & 1 ? String(e) : e : e, st = (e) => E(e).$hostElement$, je = (e, t, n) => {
  const s = h.ce(t, n);
  return e.dispatchEvent(s), s;
}, X = /* @__PURE__ */ new WeakMap(), Ue = (e, t, n) => {
  let s = L.get(e);
  Ee && n ? (s = s || new CSSStyleSheet(), typeof s == "string" ? s = t : s.replaceSync(t)) : s = t, L.set(e, s);
}, De = (e, t, n) => {
  var s;
  const r = V(t), a = L.get(r);
  if (e = e.nodeType === 11 ? e : m, a)
    if (typeof a == "string") {
      e = e.head || e;
      let l = X.get(e), o;
      if (l || X.set(e, l = /* @__PURE__ */ new Set()), !l.has(r)) {
        {
          o = m.createElement("style"), o.innerHTML = a;
          const i = (s = h.$nonce$) != null ? s : Z(m);
          i != null && o.setAttribute("nonce", i), e.insertBefore(o, e.querySelector("link"));
        }
        t.$flags$ & 4 && (o.innerHTML += J), l && l.add(r);
      }
    } else
      e.adoptedStyleSheets.includes(a) || (e.adoptedStyleSheets = [...e.adoptedStyleSheets, a]);
  return r;
}, Ie = (e) => {
  const t = e.$cmpMeta$, n = e.$hostElement$, s = S("attachStyles", t.$tagName$);
  De(
    n.getRootNode(),
    t
  ), s();
}, V = (e, t) => "sc-" + e.$tagName$, G = (e, t, n, s, r, a) => {
  if (n !== s) {
    let l = q(e, t), o = t.toLowerCase();
    if (t === "class") {
      const i = e.classList, c = Q(n), $ = Q(s);
      i.remove(...c.filter((f) => f && !$.includes(f))), i.add(...$.filter((f) => f && !c.includes(f)));
    } else if (t === "style") {
      for (const i in n)
        (!s || s[i] == null) && (i.includes("-") ? e.style.removeProperty(i) : e.style[i] = "");
      for (const i in s)
        (!n || s[i] !== n[i]) && (i.includes("-") ? e.style.setProperty(i, s[i]) : e.style[i] = s[i]);
    } else if (t !== "key")
      if (t === "ref")
        s && s(e);
      else if (!l && t[0] === "o" && t[1] === "n") {
        if (t[2] === "-" ? t = t.slice(3) : q(w, o) ? t = o.slice(2) : t = o[2] + t.slice(3), n || s) {
          const i = t.endsWith(ee);
          t = t.replace(Fe, ""), n && h.rel(e, t, n, i), s && h.ael(e, t, s, i);
        }
      } else {
        const i = H(s);
        if ((l || i && s !== null) && !r)
          try {
            if (e.tagName.includes("-"))
              e[t] = s;
            else {
              const c = s ?? "";
              t === "list" ? l = !1 : (n == null || e[t] != c) && (e[t] = c);
            }
          } catch {
          }
        s == null || s === !1 ? (s !== !1 || e.getAttribute(t) === "") && e.removeAttribute(t) : (!l || a & 4 || r) && !i && (s = s === !0 ? "" : s, e.setAttribute(t, s));
      }
  }
}, Be = /\s/, Q = (e) => e ? e.split(Be) : [], ee = "Capture", Fe = new RegExp(ee + "$"), te = (e, t, n) => {
  const s = t.$elm$.nodeType === 11 && t.$elm$.host ? t.$elm$.host : t.$elm$, r = e && e.$attrs$ || R, a = t.$attrs$ || R;
  for (const l of Y(Object.keys(r)))
    l in a || G(s, l, r[l], void 0, n, t.$flags$);
  for (const l of Y(Object.keys(a)))
    G(s, l, r[l], a[l], n, t.$flags$);
};
function Y(e) {
  return e.includes("ref") ? (
    // we need to sort these to ensure that `'ref'` is the last attr
    [...e.filter((t) => t !== "ref"), "ref"]
  ) : (
    // no need to sort, return the original array
    e
  );
}
var se, ne = !1, re = !1, A = (e, t, n, s) => {
  const r = t.$children$[n];
  let a = 0, l, o;
  if (r.$text$ !== null)
    l = r.$elm$ = m.createTextNode(r.$text$);
  else if (l = r.$elm$ = m.createElement(
    !ne && I.slotRelocation && r.$flags$ & 2 ? "slot-fb" : r.$tag$
  ), te(null, r, re), r.$children$)
    for (a = 0; a < r.$children$.length; ++a)
      o = A(e, r, a), o && l.appendChild(o);
  return l["s-hn"] = se, l;
}, le = (e, t, n, s, r, a) => {
  let l = e, o;
  for (; r <= a; ++r)
    s[r] && (o = A(null, n, r), o && (s[r].$elm$ = o, P(l, o, t)));
}, ae = (e, t, n) => {
  for (let s = t; s <= n; ++s) {
    const r = e[s];
    if (r) {
      const a = r.$elm$;
      ie(r), a && a.remove();
    }
  }
}, He = (e, t, n, s, r = !1) => {
  let a = 0, l = 0, o = 0, i = 0, c = t.length - 1, $ = t[0], f = t[c], u = s.length - 1, d = s[0], p = s[u], v, g;
  for (; a <= c && l <= u; )
    if ($ == null)
      $ = t[++a];
    else if (f == null)
      f = t[--c];
    else if (d == null)
      d = s[++l];
    else if (p == null)
      p = s[--u];
    else if (T($, d, r))
      b($, d, r), $ = t[++a], d = s[++l];
    else if (T(f, p, r))
      b(f, p, r), f = t[--c], p = s[--u];
    else if (T($, p, r))
      b($, p, r), P(e, $.$elm$, f.$elm$.nextSibling), $ = t[++a], p = s[--u];
    else if (T(f, d, r))
      b(f, d, r), P(e, f.$elm$, $.$elm$), f = t[--c], d = s[++l];
    else {
      for (o = -1, i = a; i <= c; ++i)
        if (t[i] && t[i].$key$ !== null && t[i].$key$ === d.$key$) {
          o = i;
          break;
        }
      o >= 0 ? (g = t[o], g.$tag$ !== d.$tag$ ? v = A(t && t[l], n, o) : (b(g, d, r), t[o] = void 0, v = g.$elm$), d = s[++l]) : (v = A(t && t[l], n, l), d = s[++l]), v && P($.$elm$.parentNode, v, $.$elm$);
    }
  a > c ? le(
    e,
    s[u + 1] == null ? null : s[u + 1].$elm$,
    n,
    s,
    l,
    u
  ) : l > u && ae(t, a, c);
}, T = (e, t, n = !1) => e.$tag$ === t.$tag$ ? n ? !0 : e.$key$ === t.$key$ : !1, b = (e, t, n = !1) => {
  const s = t.$elm$ = e.$elm$, r = e.$children$, a = t.$children$, l = t.$text$;
  l === null ? (te(e, t, re), r !== null && a !== null ? He(s, r, t, a, n) : a !== null ? (e.$text$ !== null && (s.textContent = ""), le(s, null, t, a, 0, a.length - 1)) : r !== null && ae(r, 0, r.length - 1)) : e.$text$ !== l && (s.data = l);
}, ie = (e) => {
  e.$attrs$ && e.$attrs$.ref && e.$attrs$.ref(null), e.$children$ && e.$children$.map(ie);
}, P = (e, t, n) => e?.insertBefore(t, n), ze = (e, t, n = !1) => {
  const s = e.$hostElement$, r = e.$vnode$ || D(null, null), a = Oe(t) ? t : we(null, null, t);
  if (se = s.tagName, n && a.$attrs$)
    for (const l of Object.keys(a.$attrs$))
      s.hasAttribute(l) && !["key", "ref", "style", "class"].includes(l) && (a.$attrs$[l] = s[l]);
  a.$tag$ = null, a.$flags$ |= 4, e.$vnode$ = a, a.$elm$ = r.$elm$ = s, ne = me, b(r, a, n);
}, oe = (e, t) => {
  t && !e.$onRenderResolve$ && t["s-p"] && t["s-p"].push(new Promise((n) => e.$onRenderResolve$ = n));
}, z = (e, t) => {
  if (e.$flags$ |= 16, e.$flags$ & 4) {
    e.$flags$ |= 512;
    return;
  }
  return oe(e, e.$ancestorComponent$), be(() => qe(e, t));
}, qe = (e, t) => {
  const n = e.$hostElement$, s = S("scheduleUpdate", e.$cmpMeta$.$tagName$), r = e.$lazyInstance$;
  if (!r)
    throw new Error(
      `Can't render component <${n.tagName.toLowerCase()} /> with invalid Stencil runtime! Make sure this imported component is compiled with a \`externalRuntime: true\` flag. For more information, please refer to https://stenciljs.com/docs/custom-elements#externalruntime`
    );
  let a;
  return s(), We(a, () => Re(e, r, t));
}, We = (e, t) => Me(e) ? e.then(t).catch((n) => {
  console.error(n), t();
}) : t(), Me = (e) => e instanceof Promise || e && e.then && typeof e.then == "function", Re = async (e, t, n) => {
  var s;
  const r = e.$hostElement$, a = S("update", e.$cmpMeta$.$tagName$), l = r["s-rc"];
  n && Ie(e);
  const o = S("render", e.$cmpMeta$.$tagName$);
  Xe(e, t, r, n), l && (l.map((i) => i()), r["s-rc"] = void 0), o(), a();
  {
    const i = (s = r["s-p"]) != null ? s : [], c = () => Ge(e);
    i.length === 0 ? c() : (Promise.all(i).then(c), e.$flags$ |= 4, i.length = 0);
  }
}, Xe = (e, t, n, s) => {
  try {
    t = t.render(), e.$flags$ &= -17, e.$flags$ |= 2, ze(e, t, s);
  } catch (r) {
    k(r, e.$hostElement$);
  }
  return null;
}, Ge = (e) => {
  const t = e.$cmpMeta$.$tagName$, n = e.$hostElement$, s = S("postUpdate", t), r = e.$lazyInstance$, a = e.$ancestorComponent$;
  e.$flags$ & 64 ? s() : (e.$flags$ |= 64, $e(n), Qe(r, "componentDidLoad"), s(), e.$onReadyResolve$(n), a || ce()), e.$onRenderResolve$ && (e.$onRenderResolve$(), e.$onRenderResolve$ = void 0), e.$flags$ & 512 && F(() => z(e, !1)), e.$flags$ &= -517;
}, ce = (e) => {
  $e(m.documentElement), F(() => je(w, "appload", { detail: { namespace: de } }));
}, Qe = (e, t, n) => {
  if (e && e[t])
    try {
      return e[t](n);
    } catch (s) {
      k(s);
    }
}, $e = (e) => {
  var t;
  return e.classList.add((t = I.hydratedSelectorName) != null ? t : "hydrated");
}, Ye = (e, t) => E(e).$instanceValues$.get(t), Je = (e, t, n, s) => {
  const r = E(e);
  if (!r)
    throw new Error(
      `Couldn't find host element for "${s.$tagName$}" as it is unknown to this Stencil runtime. This usually happens when integrating a 3rd party Stencil component with another Stencil component or application. Please reach out to the maintainers of the 3rd party Stencil component or report this on the Stencil Discord server (https://chat.stenciljs.com) or comment on this similar [GitHub issue](https://github.com/ionic-team/stencil/issues/5457).`
    );
  const a = r.$hostElement$, l = r.$instanceValues$.get(t), o = r.$flags$, i = r.$lazyInstance$;
  n = Ce(n, s.$members$[t][0]);
  const c = Number.isNaN(l) && Number.isNaN(n), $ = n !== l && !c;
  if ((!(o & 8) || l === void 0) && $ && (r.$instanceValues$.set(t, n), i)) {
    if (s.$watchers$ && o & 128) {
      const f = s.$watchers$[t];
      f && f.map((u) => {
        try {
          i[u](n, l, t);
        } catch (d) {
          k(d, a);
        }
      });
    }
    (o & 18) === 2 && z(r, !1);
  }
}, fe = (e, t, n) => {
  var s, r;
  const a = e.prototype;
  if (t.$members$ || t.$watchers$ || e.watchers) {
    e.watchers && !t.$watchers$ && (t.$watchers$ = e.watchers);
    const l = Object.entries((s = t.$members$) != null ? s : {});
    if (l.map(([o, [i]]) => {
      (i & 31 || n & 2 && i & 32) && Object.defineProperty(a, o, {
        get() {
          return Ye(this, o);
        },
        set(c) {
          Je(this, o, c, t);
        },
        configurable: !0,
        enumerable: !0
      });
    }), n & 1) {
      const o = /* @__PURE__ */ new Map();
      a.attributeChangedCallback = function(i, c, $) {
        h.jmp(() => {
          var f;
          const u = o.get(i);
          if (this.hasOwnProperty(u))
            $ = this[u], delete this[u];
          else {
            if (a.hasOwnProperty(u) && typeof this[u] == "number" && this[u] == $)
              return;
            if (u == null) {
              const d = E(this), p = d?.$flags$;
              if (p && !(p & 8) && p & 128 && $ !== c) {
                const v = d.$lazyInstance$, g = (f = t.$watchers$) == null ? void 0 : f[i];
                g?.forEach((y) => {
                  v[y] != null && v[y].call(v, $, c, i);
                });
              }
              return;
            }
          }
          this[u] = $ === null && typeof this[u] == "boolean" ? !1 : $;
        });
      }, e.observedAttributes = Array.from(
        /* @__PURE__ */ new Set([
          ...Object.keys((r = t.$watchers$) != null ? r : {}),
          ...l.filter(
            ([i, c]) => c[0] & 15
            /* HasAttribute */
          ).map(([i, c]) => {
            const $ = c[1] || i;
            return o.set($, i), $;
          })
        ])
      );
    }
  }
  return e;
}, Ke = async (e, t, n, s) => {
  let r;
  if (!(t.$flags$ & 32)) {
    if (t.$flags$ |= 32, n.$lazyBundleId$) {
      const i = ge(n);
      if (i && "then" in i) {
        const $ = Ae();
        r = await i, $();
      } else
        r = i;
      if (!r)
        throw new Error(`Constructor for "${n.$tagName$}#${t.$modeName$}" was not found`);
      r.isProxied || (n.$watchers$ = r.watchers, fe(
        r,
        n,
        2
        /* proxyState */
      ), r.isProxied = !0);
      const c = S("createInstance", n.$tagName$);
      t.$flags$ |= 8;
      try {
        new r(t);
      } catch ($) {
        k($);
      }
      t.$flags$ &= -9, t.$flags$ |= 128, c();
    } else {
      r = e.constructor;
      const i = e.localName;
      customElements.whenDefined(i).then(
        () => t.$flags$ |= 128
        /* isWatchReady */
      );
    }
    if (r && r.style) {
      let i;
      typeof r.style == "string" && (i = r.style);
      const c = V(n);
      if (!L.has(c)) {
        const $ = S("registerStyles", n.$tagName$);
        Ue(c, i, !!(n.$flags$ & 1)), $();
      }
    }
  }
  const a = t.$ancestorComponent$, l = () => z(t, !0);
  a && a["s-rc"] ? a["s-rc"].push(l) : l();
}, Ze = (e) => {
}, Ne = (e) => {
  if (!(h.$flags$ & 1)) {
    const t = E(e), n = t.$cmpMeta$, s = S("connectedCallback", n.$tagName$);
    if (t.$flags$ & 1)
      t?.$lazyInstance$ || t?.$onReadyPromise$ && t.$onReadyPromise$.then(() => Ze());
    else {
      t.$flags$ |= 1;
      {
        let r = e;
        for (; r = r.parentNode || r.host; )
          if (r["s-p"]) {
            oe(t, t.$ancestorComponent$ = r);
            break;
          }
      }
      n.$members$ && Object.entries(n.$members$).map(([r, [a]]) => {
        if (a & 31 && e.hasOwnProperty(r)) {
          const l = e[r];
          delete e[r], e[r] = l;
        }
      }), Ke(e, t, n);
    }
    s();
  }
}, Ve = (e) => {
}, et = async (e) => {
  if (!(h.$flags$ & 1)) {
    const t = E(e);
    t?.$lazyInstance$ || t?.$onReadyPromise$ && t.$onReadyPromise$.then(() => Ve());
  }
}, nt = (e, t = {}) => {
  var n;
  const s = S(), r = [], a = t.exclude || [], l = w.customElements, o = m.head, i = /* @__PURE__ */ o.querySelector("meta[charset]"), c = /* @__PURE__ */ m.createElement("style"), $ = [];
  let f, u = !0;
  Object.assign(h, t), h.$resourcesUrl$ = new URL(t.resourcesUrl || "./", m.baseURI).href;
  let d = !1;
  if (e.map((p) => {
    p[1].map((v) => {
      var g;
      const y = {
        $flags$: v[0],
        $tagName$: v[1],
        $members$: v[2],
        $listeners$: v[3]
      };
      y.$flags$ & 4 && (d = !0), y.$members$ = v[2], y.$watchers$ = (g = v[4]) != null ? g : {};
      const x = y.$tagName$, ue = class extends HTMLElement {
        // StencilLazyHost
        constructor(_) {
          super(_), this.hasRegisteredEventListeners = !1, _ = this, he(_, y);
        }
        connectedCallback() {
          E(this), this.hasRegisteredEventListeners || (this.hasRegisteredEventListeners = !0), f && (clearTimeout(f), f = null), u ? $.push(this) : h.jmp(() => Ne(this));
        }
        disconnectedCallback() {
          h.jmp(() => et(this));
        }
        componentOnReady() {
          return E(this).$onReadyPromise$;
        }
      };
      y.$lazyBundleId$ = p[0], !a.includes(x) && !l.get(x) && (r.push(x), l.define(
        x,
        fe(
          ue,
          y,
          1
          /* isElementConstructor */
        )
      ));
    });
  }), r.length > 0 && (d && (c.textContent += J), c.textContent += r.sort() + ye, c.innerHTML.length)) {
    c.setAttribute("data-styles", "");
    const p = (n = h.$nonce$) != null ? n : Z(m);
    p != null && c.setAttribute("nonce", p), o.insertBefore(c, i ? i.nextSibling : o.firstChild);
  }
  u = !1, $.length ? $.map((p) => p.connectedCallback()) : h.jmp(() => f = setTimeout(ce, 30)), s();
};
export {
  _e as H,
  nt as b,
  st as g,
  we as h,
  Se as p,
  tt as r
};
